OSDN Git Service

bfd/
authorhjl <hjl>
Thu, 15 Mar 2007 14:17:12 +0000 (14:17 +0000)
committerhjl <hjl>
Thu, 15 Mar 2007 14:17:12 +0000 (14:17 +0000)
2007-03-15  H.J. Lu  <hongjiu.lu@intel.com>

* Makefile.am (bfdver.h): Substitute report_bugs_to.  Also
create doc/bfdver.texi.
* Makefile.in: Regenerated.

* configure.in (--with-bugurl): New option.
* configure: Regenerated.

* version.h (REPORT_BUGS_TO): New.

binutils/

2007-03-15  H.J. Lu  <hongjiu.lu@intel.com>

* Makefile.am (REPORT_BUGS_TO): Removed.
(INCLUDES): Remove -DREPORT_BUGS_TO.
* Makefile.in: Regenerated.

* bucomm.c: Don't include bfdver.h.
* objdump.c: Likewise.
* version.c: Likewise.

* bucomm.h: Include bfdver.h.

* configure.in (--with-bugurl): Removed.
* configure: Regenerated.

* doc/Makefile.am (binutils_TEXINFOS): Removed.
(AM_MAKEINFOFLAGS): Add -I ../../bfd/doc.
(TEXI2DVI): Likewise.
(config.texi): Removed.
(MOSTLYCLEANFILES): Remove config.texi.
* doc/Makefile.in: Regenerated.

* doc/binutils.texi: Include bfdver.texi instead of
config.texi.

gas/

2007-03-15  H.J. Lu  <hongjiu.lu@intel.com>

* Makefile.am (REPORT_BUGS_TO): Removed.
(INCLUDES): Remove -DREPORT_BUGS_TO.
* Makefile.in: Regenerated.

* configure.in (--with-bugurl): Removed.
* configure: Regenerated.

* doc/Makefile.am (as_TEXINFOS): Remove gasver.texi.
(AM_MAKEINFOFLAGS): Add -I ../../bfd/doc.
(TEXI2DVI): Likewise.
(gasver.texi): Removed.
(MOSTLYCLEANFILES): Remove gasver.texi.
(as.1): Don't depend on gasver.texi.
* doc/Makefile.in: Regenerated.

* doc/as.texi: Include bfdver.texi instead of gasver.texi.

gprof/

2007-03-15  H.J. Lu  <hongjiu.lu@intel.com>

* Makefile.am (REPORT_BUGS_TO): Removed.
(INCLUDES): Remove -DREPORT_BUGS_TO.
* Makefile.in: Regenerated.

* configure.in (--with-bugurl): Removed.
* configure: Regenerated.

ld/

2007-03-15  H.J. Lu  <hongjiu.lu@intel.com>

* Makefile.am (ld_TEXINFOS): Remove ldver.texi.
(AM_MAKEINFOFLAGS): Add -I ../../bfd/doc.
(TEXI2DVI): Likewise.
(REPORT_BUGS_TO): Removed.
(INCLUDES): Remove -DREPORT_BUGS_TO.
(ldver.texi): Likewise.
(ld.1): Don't depend on ldver.texi.
(MOSTLYCLEANFILES): Remove ldver.texi.
* Makefile.in: Regenerated.

* configure.in (--with-bugurl): Removed.
* configure: Regenerated.

* lexsup.c: Include bfdver.h.

* ld.texinfo: Include bfdver.texi instead of ldver.texi.

38 files changed:
bfd/ChangeLog
bfd/Makefile.am
bfd/Makefile.in
bfd/configure
bfd/configure.in
bfd/version.h
binutils/ChangeLog
binutils/Makefile.am
binutils/Makefile.in
binutils/bucomm.c
binutils/bucomm.h
binutils/configure
binutils/configure.in
binutils/doc/Makefile.am
binutils/doc/Makefile.in
binutils/doc/binutils.texi
binutils/objdump.c
binutils/version.c
gas/ChangeLog
gas/Makefile.am
gas/Makefile.in
gas/configure
gas/configure.in
gas/doc/Makefile.am
gas/doc/Makefile.in
gas/doc/as.texinfo
gprof/ChangeLog
gprof/Makefile.am
gprof/Makefile.in
gprof/configure
gprof/configure.in
ld/ChangeLog
ld/Makefile.am
ld/Makefile.in
ld/configure
ld/configure.in
ld/ld.texinfo
ld/lexsup.c

index 6813f17..1276a6a 100644 (file)
@@ -1,3 +1,14 @@
+2007-03-15  H.J. Lu  <hongjiu.lu@intel.com>
+
+       * Makefile.am (bfdver.h): Substitute report_bugs_to.  Also
+       create doc/bfdver.texi.
+       * Makefile.in: Regenerated.
+
+       * configure.in (--with-bugurl): New option.
+       * configure: Regenerated.
+
+       * version.h (REPORT_BUGS_TO): New.
+
 2007-03-13  H.J. Lu  <hongjiu.lu@intel.com>
 
        PR binutils/3826
index 409de71..5d2afb0 100644 (file)
@@ -964,15 +964,27 @@ CLEANFILES = bfd.h dep.sed stmp-bfd-h DEP DEPA DEP1 DEP2 libbfd.a stamp-lib \
 DISTCLEANFILES = $(BUILD_CFILES) $(BUILD_HFILES)
 
 bfdver.h: $(srcdir)/version.h $(srcdir)/Makefile.in
-       @echo "creating $@"
+       @-test -d doc || mkdir doc
+       @echo "creating $@ and doc/bfdver.texi"
        @bfd_version=`echo "$(VERSION)" | sed -e 's/\([^\.]*\)\.*\([^\.]*\)\.*\([^\.]*\)\.*\([^\.]*\)\.*\([^\.]*\).*/\1.00\2.00\3.00\4.00\5/' -e 's/\([^\.]*\)\..*\(..\)\..*\(..\)\..*\(..\)\..*\(..\)$$/\1\2\3\4\5/'` ;\
        bfd_version_string="\"$(VERSION)\"" ;\
        bfd_version_package="\"$(PKGVERSION)\"" ;\
+       report_bugs_to="\"$(REPORT_BUGS_TO)\"" ;\
        if test "x$(RELEASE)" = x ; then \
          bfd_version_date=`sed -n -e 's/.*DATE //p' < $(srcdir)/version.h` ;\
          bfd_version_string="\"$(VERSION).$${bfd_version_date}\"" ;\
        fi ;\
-       sed -e "s/@bfd_version@/$$bfd_version/" -e "s/@bfd_version_string@/$$bfd_version_string/" -e "s/@bfd_version_package@/$$bfd_version_package/" < $(srcdir)/version.h > $@
+       sed -e "s,@bfd_version@,$$bfd_version," \
+           -e "s,@bfd_version_string@,$$bfd_version_string," \
+           -e "s,@bfd_version_package@,$$bfd_version_package," \
+           -e "s,@report_bugs_to@,$$report_bugs_to," \
+           < $(srcdir)/version.h > $@; \
+        echo "@set VERSION $(VERSION)" > doc/bfdver.texi; \
+        echo "@set VERSION_PACKAGE $(PKGVERSION)" >> doc/bfdver.texi; \
+        echo "@set UPDATED `date '+%B %Y'`" >> doc/bfdver.texi; \
+        if [ -n "$(REPORT_BUGS_TEXI)" ]; then \
+          echo "@set BUGURL $(REPORT_BUGS_TEXI)" >> doc/bfdver.texi; \
+        fi
 
 # What appears below is generated by a hacked mkdep using gcc -MM.
 
index f7106b2..8929b14 100644 (file)
@@ -178,6 +178,8 @@ PATH_SEPARATOR = @PATH_SEPARATOR@
 PKGVERSION = @PKGVERSION@
 POSUB = @POSUB@
 RANLIB = @RANLIB@
+REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
+REPORT_BUGS_TO = @REPORT_BUGS_TO@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
@@ -956,15 +958,15 @@ $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__confi
        @for dep in $?; do \
          case '$(am__configure_deps)' in \
            *$$dep*) \
-             echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
-             cd $(srcdir) && $(AUTOMAKE) --foreign  \
+             echo ' cd $(srcdir) && $(AUTOMAKE) --cygnus '; \
+             cd $(srcdir) && $(AUTOMAKE) --cygnus  \
                && exit 0; \
              exit 1;; \
          esac; \
        done; \
-       echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
+       echo ' cd $(top_srcdir) && $(AUTOMAKE) --cygnus  Makefile'; \
        cd $(top_srcdir) && \
-         $(AUTOMAKE) --foreign  Makefile
+         $(AUTOMAKE) --cygnus  Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
        @case '$?' in \
@@ -1528,15 +1530,27 @@ stmp-lcoff-h: $(LIBCOFF_H_FILES)
        touch stmp-lcoff-h
 
 bfdver.h: $(srcdir)/version.h $(srcdir)/Makefile.in
-       @echo "creating $@"
+       @-test -d doc || mkdir doc
+       @echo "creating $@ and doc/bfdver.texi"
        @bfd_version=`echo "$(VERSION)" | sed -e 's/\([^\.]*\)\.*\([^\.]*\)\.*\([^\.]*\)\.*\([^\.]*\)\.*\([^\.]*\).*/\1.00\2.00\3.00\4.00\5/' -e 's/\([^\.]*\)\..*\(..\)\..*\(..\)\..*\(..\)\..*\(..\)$$/\1\2\3\4\5/'` ;\
        bfd_version_string="\"$(VERSION)\"" ;\
        bfd_version_package="\"$(PKGVERSION)\"" ;\
+       report_bugs_to="\"$(REPORT_BUGS_TO)\"" ;\
        if test "x$(RELEASE)" = x ; then \
          bfd_version_date=`sed -n -e 's/.*DATE //p' < $(srcdir)/version.h` ;\
          bfd_version_string="\"$(VERSION).$${bfd_version_date}\"" ;\
        fi ;\
-       sed -e "s/@bfd_version@/$$bfd_version/" -e "s/@bfd_version_string@/$$bfd_version_string/" -e "s/@bfd_version_package@/$$bfd_version_package/" < $(srcdir)/version.h > $@
+       sed -e "s,@bfd_version@,$$bfd_version," \
+           -e "s,@bfd_version_string@,$$bfd_version_string," \
+           -e "s,@bfd_version_package@,$$bfd_version_package," \
+           -e "s,@report_bugs_to@,$$report_bugs_to," \
+           < $(srcdir)/version.h > $@; \
+        echo "@set VERSION $(VERSION)" > doc/bfdver.texi; \
+        echo "@set VERSION_PACKAGE $(PKGVERSION)" >> doc/bfdver.texi; \
+        echo "@set UPDATED `date '+%B %Y'`" >> doc/bfdver.texi; \
+        if [ -n "$(REPORT_BUGS_TEXI)" ]; then \
+          echo "@set BUGURL $(REPORT_BUGS_TEXI)" >> doc/bfdver.texi; \
+        fi
 
 # What appears below is generated by a hacked mkdep using gcc -MM.
 
index 31aee53..efedc4b 100755 (executable)
@@ -309,7 +309,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE AR ac_ct_AR RANLIB ac_ct_RANLIB LN_S LIBTOOL PKGVERSION WARN_CFLAGS NO_WERROR MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE INSTALL_LIBBFD_TRUE INSTALL_LIBBFD_FALSE host_noncanonical target_noncanonical bfdlibdir bfdincludedir USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE HDEFINES CPP EGREP BFD_HOST_64BIT_LONG BFD_HOST_LONG_LONG BFD_HOST_64_BIT_DEFINED BFD_HOST_64_BIT BFD_HOST_U_64_BIT CC_FOR_BUILD EXEEXT_FOR_BUILD COREFILE COREFLAG WIN32LDFLAGS WIN32LIBADD TDEFINES wordsize bfd64_libs all_backends bfd_backends bfd_machines bfd_default_target_size bfd_file_ptr bfd_ufile_ptr tdefaults datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE AR ac_ct_AR RANLIB ac_ct_RANLIB LN_S LIBTOOL PKGVERSION REPORT_BUGS_TO REPORT_BUGS_TEXI WARN_CFLAGS NO_WERROR MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE INSTALL_LIBBFD_TRUE INSTALL_LIBBFD_FALSE host_noncanonical target_noncanonical bfdlibdir bfdincludedir USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE HDEFINES CPP EGREP BFD_HOST_64BIT_LONG BFD_HOST_LONG_LONG BFD_HOST_64_BIT_DEFINED BFD_HOST_64_BIT BFD_HOST_U_64_BIT CC_FOR_BUILD EXEEXT_FOR_BUILD COREFILE COREFLAG WIN32LDFLAGS WIN32LIBADD TDEFINES wordsize bfd64_libs all_backends bfd_backends bfd_machines bfd_default_target_size bfd_file_ptr bfd_ufile_ptr tdefaults datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -874,6 +874,7 @@ Optional Packages:
   --with-pic              try to use only PIC/non-PIC objects default=use both
   --with-mmap             try using mmap for BFD input files if available
   --with-pkgversion=PKG   Add PKG to the version string
+  --with-bugurl=URL       Direct users to URL to report a bug
 
 Some influential environment variables:
   CC          C compiler command
@@ -4032,7 +4033,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic"
 case $host in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4035 "configure"' > conftest.$ac_ext
+  echo '#line 4036 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4404,6 +4405,30 @@ else
 fi;
 
 
+# The location to which bugs should be reported.
+
+# Check whether --with-bugurl or --without-bugurl was given.
+if test "${with_bugurl+set}" = set; then
+  withval="$with_bugurl"
+  case "$withval" in
+    yes) { { echo "$as_me:$LINENO: error: bug URL not specified" >&5
+echo "$as_me: error: bug URL not specified" >&2;}
+   { (exit 1); exit 1; }; } ;;
+    no)  REPORT_BUGS_TO="";
+        REPORT_BUGS_TEXI=""
+        ;;
+    *)   REPORT_BUGS_TO="<URL:$withval>"
+        REPORT_BUGS_TEXI="@uref{`echo $withval | sed 's/@/@@/g'`}"
+        ;;
+   esac
+else
+  REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>"
+   REPORT_BUGS_TEXI="@uref{http://www.sourceware.org/bugzilla/}"
+
+fi;
+
+
+
 
 GCC_WARN_CFLAGS="-W -Wall -Wstrict-prototypes -Wmissing-prototypes"
 
@@ -13033,6 +13058,8 @@ s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
 s,@LN_S@,$LN_S,;t t
 s,@LIBTOOL@,$LIBTOOL,;t t
 s,@PKGVERSION@,$PKGVERSION,;t t
+s,@REPORT_BUGS_TO@,$REPORT_BUGS_TO,;t t
+s,@REPORT_BUGS_TEXI@,$REPORT_BUGS_TEXI,;t t
 s,@WARN_CFLAGS@,$WARN_CFLAGS,;t t
 s,@NO_WERROR@,$NO_WERROR,;t t
 s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t
index ad203f4..1cd339b 100644 (file)
@@ -76,6 +76,25 @@ AC_ARG_WITH(pkgversion,
 )
 AC_SUBST(PKGVERSION)
 
+# The location to which bugs should be reported.
+AC_ARG_WITH(bugurl,
+  AS_HELP_STRING([--with-bugurl=URL],
+                 [Direct users to URL to report a bug]),
+  [case "$withval" in
+    yes) AC_MSG_ERROR([bug URL not specified]) ;;
+    no)  REPORT_BUGS_TO="";
+        REPORT_BUGS_TEXI=""
+        ;;
+    *)   REPORT_BUGS_TO="<URL:$withval>"
+        REPORT_BUGS_TEXI="@uref{`echo $withval | sed 's/@/@@/g'`}"
+        ;;
+   esac],
+   REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>"
+   REPORT_BUGS_TEXI="@uref{http://www.sourceware.org/bugzilla/}"
+)
+AC_SUBST(REPORT_BUGS_TO)
+AC_SUBST(REPORT_BUGS_TEXI)
+
 AM_BINUTILS_WARNINGS
 
 AM_CONFIG_HEADER(config.h:config.in)
index 4808312..829a978 100644 (file)
@@ -1,3 +1,4 @@
 #define BFD_VERSION_DATE 20070315
 #define BFD_VERSION @bfd_version@
 #define BFD_VERSION_STRING  @bfd_version_package@ @bfd_version_string@
+#define REPORT_BUGS_TO @report_bugs_to@
index ccbd2b9..c831cee 100644 (file)
@@ -1,3 +1,28 @@
+2007-03-15  H.J. Lu  <hongjiu.lu@intel.com>
+
+       * Makefile.am (REPORT_BUGS_TO): Removed.
+       (INCLUDES): Remove -DREPORT_BUGS_TO.
+       * Makefile.in: Regenerated.
+
+       * bucomm.c: Don't include bfdver.h.
+       * objdump.c: Likewise.
+       * version.c: Likewise.
+
+       * bucomm.h: Include bfdver.h.
+
+       * configure.in (--with-bugurl): Removed.
+       * configure: Regenerated.
+
+       * doc/Makefile.am (binutils_TEXINFOS): Removed.
+       (AM_MAKEINFOFLAGS): Add -I ../../bfd/doc.
+       (TEXI2DVI): Likewise.
+       (config.texi): Removed.
+       (MOSTLYCLEANFILES): Remove config.texi.
+       * doc/Makefile.in: Regenerated.
+
+       * doc/binutils.texi: Include bfdver.texi instead of
+       config.texi.
+
 2007-03-13  Nick Clifton  <nickc@redhat.com>
 
        * readelf.c (dump_section): Also test for SHT_REL sections when
index 0378a01..da78c62 100644 (file)
@@ -68,14 +68,11 @@ INCDIR      = $(BASEDIR)/include
 
 MKDEP = gcc -MM
 
-REPORT_BUGS_TO = "\"@REPORT_BUGS_TO@\""
-
 INCLUDES = -D_GNU_SOURCE \
         -I. -I$(srcdir) -I../bfd -I$(BFDDIR) -I$(INCDIR) \
         @HDEFINES@ \
         @INCINTL@ \
         -DLOCALEDIR="\"$(datadir)/locale\"" \
-        -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \
         -Dbin_dummy_emulation=$(EMULATION_VECTOR)
 
 HFILES = \
index f8ce95e..22a4f9e 100644 (file)
@@ -278,8 +278,6 @@ PACKAGE_VERSION = @PACKAGE_VERSION@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 POSUB = @POSUB@
 RANLIB = @RANLIB@
-REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
-REPORT_BUGS_TO = "\"@REPORT_BUGS_TO@\""
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
@@ -376,7 +374,6 @@ INCLUDES = -D_GNU_SOURCE \
         @HDEFINES@ \
         @INCINTL@ \
         -DLOCALEDIR="\"$(datadir)/locale\"" \
-        -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \
         -Dbin_dummy_emulation=$(EMULATION_VECTOR)
 
 HFILES = \
@@ -503,15 +500,15 @@ $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__confi
        @for dep in $?; do \
          case '$(am__configure_deps)' in \
            *$$dep*) \
-             echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
-             cd $(srcdir) && $(AUTOMAKE) --foreign  \
+             echo ' cd $(srcdir) && $(AUTOMAKE) --cygnus '; \
+             cd $(srcdir) && $(AUTOMAKE) --cygnus  \
                && exit 0; \
              exit 1;; \
          esac; \
        done; \
-       echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
+       echo ' cd $(top_srcdir) && $(AUTOMAKE) --cygnus  Makefile'; \
        cd $(top_srcdir) && \
-         $(AUTOMAKE) --foreign  Makefile
+         $(AUTOMAKE) --cygnus  Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
        @case '$?' in \
index 2c6a42a..3ba6041 100644 (file)
@@ -24,7 +24,6 @@
    loaded, but for now it's not necessary.  */
 
 #include "bfd.h"
-#include "bfdver.h"
 #include "libiberty.h"
 #include "bucomm.h"
 #include "filenames.h"
index 0be6ac0..d07fde8 100644 (file)
@@ -25,6 +25,7 @@
 #include <stdio.h>
 #include <sys/types.h>
 
+#include "bfdver.h"
 #include "config.h"
 
 #include <stdarg.h>
index 7576721..dea505b 100755 (executable)
@@ -309,7 +309,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LN_S RANLIB ac_ct_RANLIB LIBTOOL REPORT_BUGS_TO REPORT_BUGS_TEXI WARN_CFLAGS NO_WERROR YACC LEX LEXLIB LEX_OUTPUT_ROOT USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE HDEFINES AR CC_FOR_BUILD EXEEXT_FOR_BUILD DEMANGLER_NAME CPP EGREP ALLOCA NLMCONV_DEFS BUILD_NLMCONV BUILD_SRCONV BUILD_DLLTOOL DLLTOOL_DEFS BUILD_WINDRES BUILD_DLLWRAP BUILD_MISC BUILD_INSTALL_MISC OBJDUMP_DEFS EMULATION EMULATION_VECTOR datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LN_S RANLIB ac_ct_RANLIB LIBTOOL WARN_CFLAGS NO_WERROR YACC LEX LEXLIB LEX_OUTPUT_ROOT USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE HDEFINES AR CC_FOR_BUILD EXEEXT_FOR_BUILD DEMANGLER_NAME CPP EGREP ALLOCA NLMCONV_DEFS BUILD_NLMCONV BUILD_SRCONV BUILD_DLLTOOL DLLTOOL_DEFS BUILD_WINDRES BUILD_DLLWRAP BUILD_MISC BUILD_INSTALL_MISC OBJDUMP_DEFS EMULATION EMULATION_VECTOR datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -869,7 +869,6 @@ Optional Packages:
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
   --with-gnu-ld           assume the C compiler uses GNU ld default=no
   --with-pic              try to use only PIC/non-PIC objects default=use both
-  --with-bugurl=URL       Direct users to URL to report a bug
 
 Some influential environment variables:
   CC          C compiler command
@@ -3867,7 +3866,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic"
 case $host in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3870 "configure"' > conftest.$ac_ext
+  echo '#line 3869 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4176,30 +4175,6 @@ echo "$as_me: error: bad value ${enableval} for BFD commonbfdlib option" >&2;}
    { (exit 1); exit 1; }; } ;;
 esac
 fi;
-# The location to which bugs should be reported.
-
-# Check whether --with-bugurl or --without-bugurl was given.
-if test "${with_bugurl+set}" = set; then
-  withval="$with_bugurl"
-  case "$withval" in
-    yes) { { echo "$as_me:$LINENO: error: bug URL not specified" >&5
-echo "$as_me: error: bug URL not specified" >&2;}
-   { (exit 1); exit 1; }; } ;;
-    no)  REPORT_BUGS_TO="";
-        REPORT_BUGS_TEXI=""
-        ;;
-    *)   REPORT_BUGS_TO="<URL:$withval>"
-        REPORT_BUGS_TEXI="@uref{`echo $withval | sed 's/@/@@/g'`}"
-        ;;
-   esac
-else
-  REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>"
-   REPORT_BUGS_TEXI="@uref{http://www.sourceware.org/bugzilla/}"
-
-fi;
-
-
-
 
 GCC_WARN_CFLAGS="-W -Wall -Wstrict-prototypes -Wmissing-prototypes"
 
@@ -9552,8 +9527,6 @@ s,@LN_S@,$LN_S,;t t
 s,@RANLIB@,$RANLIB,;t t
 s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
 s,@LIBTOOL@,$LIBTOOL,;t t
-s,@REPORT_BUGS_TO@,$REPORT_BUGS_TO,;t t
-s,@REPORT_BUGS_TEXI@,$REPORT_BUGS_TEXI,;t t
 s,@WARN_CFLAGS@,$WARN_CFLAGS,;t t
 s,@NO_WERROR@,$NO_WERROR,;t t
 s,@YACC@,$YACC,;t t
index 46a56a0..8c53725 100644 (file)
@@ -29,25 +29,6 @@ AC_ARG_ENABLE(commonbfdlib,
   *)   AC_MSG_ERROR([bad value ${enableval} for BFD commonbfdlib option]) ;;
 esac])dnl
 
-# The location to which bugs should be reported.
-AC_ARG_WITH(bugurl,
-  AS_HELP_STRING([--with-bugurl=URL],
-                 [Direct users to URL to report a bug]),
-  [case "$withval" in
-    yes) AC_MSG_ERROR([bug URL not specified]) ;;
-    no)  REPORT_BUGS_TO="";
-        REPORT_BUGS_TEXI=""
-        ;;
-    *)   REPORT_BUGS_TO="<URL:$withval>"
-        REPORT_BUGS_TEXI="@uref{`echo $withval | sed 's/@/@@/g'`}"
-        ;;
-   esac],
-   REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>"
-   REPORT_BUGS_TEXI="@uref{http://www.sourceware.org/bugzilla/}"
-)
-AC_SUBST(REPORT_BUGS_TO)
-AC_SUBST(REPORT_BUGS_TEXI)
-
 AM_BINUTILS_WARNINGS
                   
 AM_CONFIG_HEADER(config.h:config.in)
index 966ed80..5d8520c 100644 (file)
@@ -31,20 +31,12 @@ man_MANS = \
        $(DEMANGLER_NAME).1
 
 info_TEXINFOS = binutils.texi
-binutils_TEXINFOS = config.texi
 binutils_TEXI = $(srcdir)/binutils.texi
 
-AM_MAKEINFOFLAGS = -I "$(srcdir)" -I "$(top_srcdir)/../libiberty"
-TEXI2DVI = texi2dvi -I "$(srcdir)" -I "$(top_srcdir)/../libiberty"
-
-config.texi: $(srcdir)/../../bfd/configure $(binutils_TEXI)
-       rm -f config.texi
-       eval `grep '^ *VERSION=' $(srcdir)/../../bfd/configure`; \
-         echo "@set VERSION $$VERSION" > $@
-       echo "@set UPDATED `date '+%B %Y'`" >> config.texi
-       if [ -n "$(REPORT_BUGS_TEXI)" ]; then \
-         echo "@set BUGURL $(REPORT_BUGS_TEXI)" >> config.texi; \
-       fi
+AM_MAKEINFOFLAGS = -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" \
+                  -I ../../bfd/doc
+TEXI2DVI = texi2dvi -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" \
+                   -I ../../bfd/doc
 
 # Man page generation from texinfo
 addr2line.1:   $(binutils_TEXI) $(binutils_TEXINFOS)
@@ -145,7 +137,6 @@ cxxfilt.man:        $(binutils_TEXI) $(binutils_TEXINFOS)
                mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
        rm -f $(DEMANGLER_NAME).pod
 
-MAINTAINERCLEANFILES = config.texi
 MOSTLYCLEANFILES     = $(DEMANGLER_NAME).1
 
 $(DEMANGLER_NAME).1: cxxfilt.man Makefile
@@ -183,7 +174,7 @@ install-html-am: $(HTMLS)
          fi; \
        done
 
-MAINTAINERCLEANFILES += binutils.info
+MAINTAINERCLEANFILES = binutils.info
 
 # Automake 1.9 will only build info files in the objdir if they are
 # mentioned in DISTCLEANFILES.  It doesn't have to be unconditional,
index cefd826..be7ad95 100644 (file)
@@ -37,8 +37,7 @@ build_triplet = @build@
 host_triplet = @host@
 target_triplet = @target@
 subdir = doc
-DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
-       $(binutils_TEXINFOS)
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
        $(top_srcdir)/../bfd/acinclude.m4 \
@@ -153,8 +152,6 @@ PACKAGE_VERSION = @PACKAGE_VERSION@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 POSUB = @POSUB@
 RANLIB = @RANLIB@
-REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
-REPORT_BUGS_TO = @REPORT_BUGS_TO@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
@@ -238,13 +235,16 @@ man_MANS = \
        $(DEMANGLER_NAME).1
 
 info_TEXINFOS = binutils.texi
-binutils_TEXINFOS = config.texi
 binutils_TEXI = $(srcdir)/binutils.texi
-AM_MAKEINFOFLAGS = -I "$(srcdir)" -I "$(top_srcdir)/../libiberty"
-TEXI2DVI = texi2dvi -I "$(srcdir)" -I "$(top_srcdir)/../libiberty"
-MAINTAINERCLEANFILES = config.texi binutils.info
+AM_MAKEINFOFLAGS = -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" \
+                  -I ../../bfd/doc
+
+TEXI2DVI = texi2dvi -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" \
+                   -I ../../bfd/doc
+
 MOSTLYCLEANFILES = $(DEMANGLER_NAME).1
 html__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
+MAINTAINERCLEANFILES = binutils.info
 
 # Automake 1.9 will only build info files in the objdir if they are
 # mentioned in DISTCLEANFILES.  It doesn't have to be unconditional,
@@ -263,9 +263,9 @@ $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__confi
              exit 1;; \
          esac; \
        done; \
-       echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
+       echo ' cd $(top_srcdir) && $(AUTOMAKE) --cygnus  doc/Makefile'; \
        cd $(top_srcdir) && \
-         $(AUTOMAKE) --foreign  doc/Makefile
+         $(AUTOMAKE) --cygnus  doc/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
        @case '$?' in \
@@ -293,7 +293,7 @@ clean-libtool:
 distclean-libtool:
        -rm -f libtool
 
-binutils.info: binutils.texi $(binutils_TEXINFOS)
+binutils.info: binutils.texi 
        restore=: && backupdir="$(am__leading_dot)am$$$$" && \
        rm -rf $$backupdir && mkdir $$backupdir && \
        if ($(MAKEINFO) --version) >/dev/null 2>&1; then \
@@ -311,17 +311,17 @@ binutils.info: binutils.texi $(binutils_TEXINFOS)
        fi; \
        rm -rf $$backupdir; exit $$rc
 
-binutils.dvi: binutils.texi $(binutils_TEXINFOS) 
+binutils.dvi: binutils.texi  
        TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
        MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
        $(TEXI2DVI) -o $@ `test -f 'binutils.texi' || echo '$(srcdir)/'`binutils.texi
 
-binutils.pdf: binutils.texi $(binutils_TEXINFOS) 
+binutils.pdf: binutils.texi  
        TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
        MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
        $(TEXI2PDF) -o $@ `test -f 'binutils.texi' || echo '$(srcdir)/'`binutils.texi
 
-binutils.html: binutils.texi $(binutils_TEXINFOS) 
+binutils.html: binutils.texi  
        rm -rf $(@:.html=.htp)
        if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
         -o $(@:.html=.htp) `test -f 'binutils.texi' || echo '$(srcdir)/'`binutils.texi; \
@@ -570,15 +570,6 @@ uninstall-man: uninstall-man1
        uninstall-man uninstall-man1
 
 
-config.texi: $(srcdir)/../../bfd/configure $(binutils_TEXI)
-       rm -f config.texi
-       eval `grep '^ *VERSION=' $(srcdir)/../../bfd/configure`; \
-         echo "@set VERSION $$VERSION" > $@
-       echo "@set UPDATED `date '+%B %Y'`" >> config.texi
-       if [ -n "$(REPORT_BUGS_TEXI)" ]; then \
-         echo "@set BUGURL $(REPORT_BUGS_TEXI)" >> config.texi; \
-       fi
-
 # Man page generation from texinfo
 addr2line.1:   $(binutils_TEXI) $(binutils_TEXINFOS)
        touch $@
index efa919d..ec69742 100644 (file)
@@ -4,7 +4,7 @@
 @c Free Software Foundation, Inc.
 
 @c man begin INCLUDE
-@include config.texi
+@include bfdver.texi
 @c man end
 
 @ifinfo
index a273f51..0177b99 100644 (file)
@@ -49,7 +49,6 @@
    supplied by the disassembler() function.  */
 
 #include "bfd.h"
-#include "bfdver.h"
 #include "progress.h"
 #include "bucomm.h"
 #include "dwarf.h"
index e5d204b..3f62fad 100644 (file)
@@ -20,7 +20,6 @@
 
 #include <stdio.h>
 #include "bfd.h"
-#include "bfdver.h"
 #include "bucomm.h"
 
 /* Print the version number and copyright information, and exit.  This
index 4ee6570..1e2c24f 100644 (file)
@@ -1,3 +1,22 @@
+2007-03-15  H.J. Lu  <hongjiu.lu@intel.com>
+
+       * Makefile.am (REPORT_BUGS_TO): Removed.
+       (INCLUDES): Remove -DREPORT_BUGS_TO.
+       * Makefile.in: Regenerated.
+
+       * configure.in (--with-bugurl): Removed.
+       * configure: Regenerated.
+
+       * doc/Makefile.am (as_TEXINFOS): Remove gasver.texi.
+       (AM_MAKEINFOFLAGS): Add -I ../../bfd/doc.
+       (TEXI2DVI): Likewise.
+       (gasver.texi): Removed.
+       (MOSTLYCLEANFILES): Remove gasver.texi.
+       (as.1): Don't depend on gasver.texi.
+       * doc/Makefile.in: Regenerated.
+
+       * doc/as.texi: Include bfdver.texi instead of gasver.texi.
+
 2007-03-14  Daniel Jacobowitz  <dan@codesourcery.com>
 
        * config/tc-arm.c (arm_copy_symbol_attributes): New.
index 81ce66d..25c0498 100644 (file)
@@ -473,8 +473,6 @@ BASEDIR = $(srcdir)/..
 BFDDIR = $(BASEDIR)/bfd
 INCDIR = $(BASEDIR)/include
 
-REPORT_BUGS_TO = "\"@REPORT_BUGS_TO@\""
-
 # This is the variable actually used when we compile.
 # Specify the directories to be searched for header files.
 # Both . and srcdir are used, in that order,
@@ -482,7 +480,6 @@ REPORT_BUGS_TO = "\"@REPORT_BUGS_TO@\""
 # subdirectory rather than in the source directory.
 INCLUDES = -D_GNU_SOURCE -I. -I$(srcdir) -I../bfd -I$(srcdir)/config \
        -I$(INCDIR) -I$(srcdir)/.. -I$(BFDDIR) @INCINTL@ \
-       -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \
        -DLOCALEDIR="\"$(datadir)/locale\""
 
 # This should be parallel to INCLUDES, but should replace $(srcdir)
@@ -492,7 +489,6 @@ INCLUDES = -D_GNU_SOURCE -I. -I$(srcdir) -I../bfd -I$(srcdir)/config \
 DEP_INCLUDES = -D_GNU_SOURCE -I.. -I$${srcdir} -I../../bfd \
        -I$${srcdir}/config -I$${srcdir}/../include -I$${srcdir}/.. \
        -I$${srcdir}/../bfd @INCINTL@ \
-       -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \
        -DLOCALEDIR="\"$(datadir)/locale\""
 
 DEP_FLAGS = -DOBJ_MAYBE_ELF \
index 25bdb7a..68e77f2 100644 (file)
@@ -182,8 +182,6 @@ PACKAGE_VERSION = @PACKAGE_VERSION@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 POSUB = @POSUB@
 RANLIB = @RANLIB@
-REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
-REPORT_BUGS_TO = "\"@REPORT_BUGS_TO@\""
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
@@ -699,7 +697,6 @@ INCDIR = $(BASEDIR)/include
 # subdirectory rather than in the source directory.
 INCLUDES = -D_GNU_SOURCE -I. -I$(srcdir) -I../bfd -I$(srcdir)/config \
        -I$(INCDIR) -I$(srcdir)/.. -I$(BFDDIR) @INCINTL@ \
-       -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \
        -DLOCALEDIR="\"$(datadir)/locale\""
 
 
@@ -710,7 +707,6 @@ INCLUDES = -D_GNU_SOURCE -I. -I$(srcdir) -I../bfd -I$(srcdir)/config \
 DEP_INCLUDES = -D_GNU_SOURCE -I.. -I$${srcdir} -I../../bfd \
        -I$${srcdir}/config -I$${srcdir}/../include -I$${srcdir}/.. \
        -I$${srcdir}/../bfd @INCINTL@ \
-       -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \
        -DLOCALEDIR="\"$(datadir)/locale\""
 
 DEP_FLAGS = -DOBJ_MAYBE_ELF \
@@ -2107,15 +2103,15 @@ $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__confi
        @for dep in $?; do \
          case '$(am__configure_deps)' in \
            *$$dep*) \
-             echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
-             cd $(srcdir) && $(AUTOMAKE) --foreign  \
+             echo ' cd $(srcdir) && $(AUTOMAKE) --cygnus '; \
+             cd $(srcdir) && $(AUTOMAKE) --cygnus  \
                && exit 0; \
              exit 1;; \
          esac; \
        done; \
-       echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
+       echo ' cd $(top_srcdir) && $(AUTOMAKE) --cygnus  Makefile'; \
        cd $(top_srcdir) && \
-         $(AUTOMAKE) --foreign  Makefile
+         $(AUTOMAKE) --cygnus  Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
        @case '$?' in \
index b7cd1e0..6f9b7b8 100755 (executable)
@@ -309,7 +309,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LN_S RANLIB ac_ct_RANLIB LIBTOOL REPORT_BUGS_TO REPORT_BUGS_TEXI WARN_CFLAGS NO_WERROR GDBINIT cgen_cpu_prefix extra_objects target_cpu_type obj_format te_file install_tooldir atof OPCODES_LIB YACC LEX LEXLIB LEX_OUTPUT_ROOT USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE CPP EGREP ALLOCA LIBM datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LN_S RANLIB ac_ct_RANLIB LIBTOOL WARN_CFLAGS NO_WERROR GDBINIT cgen_cpu_prefix extra_objects target_cpu_type obj_format te_file install_tooldir atof OPCODES_LIB YACC LEX LEXLIB LEX_OUTPUT_ROOT USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE CPP EGREP ALLOCA LIBM datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -869,7 +869,6 @@ Optional Packages:
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
   --with-gnu-ld           assume the C compiler uses GNU ld default=no
   --with-pic              try to use only PIC/non-PIC objects default=use both
-  --with-bugurl=URL       Direct users to URL to report a bug
 
 Some influential environment variables:
   CC          C compiler command
@@ -3867,7 +3866,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic"
 case $host in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3870 "configure"' > conftest.$ac_ext
+  echo '#line 3869 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4178,30 +4177,6 @@ esac
 fi;
 using_cgen=no
 
-# The location to which bugs should be reported.
-
-# Check whether --with-bugurl or --without-bugurl was given.
-if test "${with_bugurl+set}" = set; then
-  withval="$with_bugurl"
-  case "$withval" in
-    yes) { { echo "$as_me:$LINENO: error: bug URL not specified" >&5
-echo "$as_me: error: bug URL not specified" >&2;}
-   { (exit 1); exit 1; }; } ;;
-    no)  REPORT_BUGS_TO="";
-        REPORT_BUGS_TEXI=""
-        ;;
-    *)   REPORT_BUGS_TO="<URL:$withval>"
-        REPORT_BUGS_TEXI="@uref{`echo $withval | sed 's/@/@@/g'`}"
-        ;;
-   esac
-else
-  REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>"
-   REPORT_BUGS_TEXI="@uref{http://www.sourceware.org/bugzilla/}"
-
-fi;
-
-
-
 
 GCC_WARN_CFLAGS="-W -Wall -Wstrict-prototypes -Wmissing-prototypes"
 
@@ -9633,8 +9608,6 @@ s,@LN_S@,$LN_S,;t t
 s,@RANLIB@,$RANLIB,;t t
 s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
 s,@LIBTOOL@,$LIBTOOL,;t t
-s,@REPORT_BUGS_TO@,$REPORT_BUGS_TO,;t t
-s,@REPORT_BUGS_TEXI@,$REPORT_BUGS_TEXI,;t t
 s,@WARN_CFLAGS@,$WARN_CFLAGS,;t t
 s,@NO_WERROR@,$NO_WERROR,;t t
 s,@GDBINIT@,$GDBINIT,;t t
index 8af931d..6b35bf1 100644 (file)
@@ -40,25 +40,6 @@ esac])dnl
 
 using_cgen=no
 
-# The location to which bugs should be reported.
-AC_ARG_WITH(bugurl,
-  AS_HELP_STRING([--with-bugurl=URL],
-                 [Direct users to URL to report a bug]),
-  [case "$withval" in
-    yes) AC_MSG_ERROR([bug URL not specified]) ;;
-    no)  REPORT_BUGS_TO="";
-        REPORT_BUGS_TEXI=""
-        ;;
-    *)   REPORT_BUGS_TO="<URL:$withval>"
-        REPORT_BUGS_TEXI="@uref{`echo $withval | sed 's/@/@@/g'`}"
-        ;;
-   esac],
-   REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>"
-   REPORT_BUGS_TEXI="@uref{http://www.sourceware.org/bugzilla/}"
-)
-AC_SUBST(REPORT_BUGS_TO)
-AC_SUBST(REPORT_BUGS_TEXI)
-
 AM_BINUTILS_WARNINGS
 
 # Generate a header file
index c830cb3..9616505 100644 (file)
@@ -16,10 +16,12 @@ POD2MAN = pod2man --center="GNU Development Tools" \
 man_MANS = as.1
 
 info_TEXINFOS = as.texinfo 
-as_TEXINFOS = asconfig.texi gasver.texi $(CPU_DOCS)
+as_TEXINFOS = asconfig.texi $(CPU_DOCS)
 
-AM_MAKEINFOFLAGS = -I "$(srcdir)" -I "$(top_srcdir)/../libiberty"
-TEXI2DVI = texi2dvi -I "$(srcdir)" -I "$(top_srcdir)/../libiberty"
+AM_MAKEINFOFLAGS = -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" \
+                  -I ../../bfd/doc
+TEXI2DVI = texi2dvi -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" \
+                  -I ../../bfd/doc
 
 asconfig.texi: $(CONFIG).texi
        rm -f asconfig.texi
@@ -63,14 +65,6 @@ CPU_DOCS = \
        c-z80.texi \
        c-z8k.texi
 
-gasver.texi: $(srcdir)/../../bfd/configure
-       rm -f $@
-       eval `grep '^ *VERSION=' $(srcdir)/../../bfd/configure`; \
-         echo "@set VERSION $$VERSION" > $@
-       if [ -n "$(REPORT_BUGS_TEXI)" ]; then \
-         echo "@set BUGURL $(REPORT_BUGS_TEXI)" >> $@; \
-       fi
-
 # We want install to imply install-info as per GNU standards, despite the
 # cygnus option.
 install-data-local: install-info
@@ -100,7 +94,7 @@ install-html-am: $(HTMLS)
 
 noinst_TEXINFOS = internals.texi
 
-MAINTAINERCLEANFILES = asconfig.texi gasver.texi
+MAINTAINERCLEANFILES = asconfig.texi
 
 BASEDIR = $(srcdir)/../..
 BFDDIR = $(BASEDIR)/bfd
@@ -115,7 +109,7 @@ info-local: $(MANS)
 # Build the man page from the texinfo file
 # The sed command removes the no-adjust Nroff command so that
 # the man output looks standard.
-as.1: $(srcdir)/as.texinfo asconfig.texi gasver.texi $(CPU_DOCS)
+as.1: $(srcdir)/as.texinfo asconfig.texi $(CPU_DOCS)
        touch $@
        -$(TEXI2POD) $(MANCONF) < $(srcdir)/as.texinfo > as.pod
        -($(POD2MAN) as.pod | \
index 2f1a7b1..ff43d3b 100644 (file)
@@ -137,8 +137,6 @@ PACKAGE_VERSION = @PACKAGE_VERSION@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 POSUB = @POSUB@
 RANLIB = @RANLIB@
-REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
-REPORT_BUGS_TO = @REPORT_BUGS_TO@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
@@ -212,9 +210,13 @@ POD2MAN = pod2man --center="GNU Development Tools" \
 
 man_MANS = as.1
 info_TEXINFOS = as.texinfo 
-as_TEXINFOS = asconfig.texi gasver.texi $(CPU_DOCS)
-AM_MAKEINFOFLAGS = -I "$(srcdir)" -I "$(top_srcdir)/../libiberty"
-TEXI2DVI = texi2dvi -I "$(srcdir)" -I "$(top_srcdir)/../libiberty"
+as_TEXINFOS = asconfig.texi $(CPU_DOCS)
+AM_MAKEINFOFLAGS = -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" \
+                  -I ../../bfd/doc
+
+TEXI2DVI = texi2dvi -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" \
+                  -I ../../bfd/doc
+
 CPU_DOCS = \
        c-alpha.texi \
        c-arc.texi \
@@ -256,7 +258,7 @@ html__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
 
 # This one isn't ready for prime time yet.  Not even a little bit.
 noinst_TEXINFOS = internals.texi
-MAINTAINERCLEANFILES = asconfig.texi gasver.texi as.info
+MAINTAINERCLEANFILES = asconfig.texi as.info
 BASEDIR = $(srcdir)/../..
 BFDDIR = $(BASEDIR)/bfd
 CONFIG_STATUS_DEPENDENCIES = $(BFDDIR)/configure.in
@@ -278,9 +280,9 @@ $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__confi
              exit 1;; \
          esac; \
        done; \
-       echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
+       echo ' cd $(top_srcdir) && $(AUTOMAKE) --cygnus  doc/Makefile'; \
        cd $(top_srcdir) && \
-         $(AUTOMAKE) --foreign  doc/Makefile
+         $(AUTOMAKE) --cygnus  doc/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
        @case '$?' in \
@@ -586,14 +588,6 @@ asconfig.texi: $(CONFIG).texi
        cp $(srcdir)/$(CONFIG).texi ./asconfig.texi
        chmod u+w ./asconfig.texi
 
-gasver.texi: $(srcdir)/../../bfd/configure
-       rm -f $@
-       eval `grep '^ *VERSION=' $(srcdir)/../../bfd/configure`; \
-         echo "@set VERSION $$VERSION" > $@
-       if [ -n "$(REPORT_BUGS_TEXI)" ]; then \
-         echo "@set BUGURL $(REPORT_BUGS_TEXI)" >> $@; \
-       fi
-
 # We want install to imply install-info as per GNU standards, despite the
 # cygnus option.
 install-data-local: install-info
@@ -625,7 +619,7 @@ info-local: $(MANS)
 # Build the man page from the texinfo file
 # The sed command removes the no-adjust Nroff command so that
 # the man output looks standard.
-as.1: $(srcdir)/as.texinfo asconfig.texi gasver.texi $(CPU_DOCS)
+as.1: $(srcdir)/as.texinfo asconfig.texi $(CPU_DOCS)
        touch $@
        -$(TEXI2POD) $(MANCONF) < $(srcdir)/as.texinfo > as.pod
        -($(POD2MAN) as.pod | \
index d14eef5..f5332ed 100644 (file)
@@ -22,7 +22,7 @@
 @c man begin NAME
 @c ---
 @include asconfig.texi
-@include gasver.texi
+@include bfdver.texi
 @c ---
 @c man end
 @c ---
index 1c80201..3fe1350 100644 (file)
@@ -1,3 +1,12 @@
+2007-03-15  H.J. Lu  <hongjiu.lu@intel.com>
+
+       * Makefile.am (REPORT_BUGS_TO): Removed.
+       (INCLUDES): Remove -DREPORT_BUGS_TO.
+       * Makefile.in: Regenerated.
+
+       * configure.in (--with-bugurl): Removed.
+       * configure: Regenerated.
+
 2007-03-01  Joseph Myers  <joseph@codesourcery.com>
 
        * gprof.c: Include bfdver.h
@@ -11,9 +20,9 @@
        * configure: Regenerate.
 
 2007-02-17  Mark Mitchell  <mark@codesourcery.com>
-            Nathan Sidwell  <nathan@codesourcery.com>
-            Vladimir Prus  <vladimir@codesourcery.com
-            Joseph Myers  <joseph@codesourcery.com>
+           Nathan Sidwell  <nathan@codesourcery.com>
+           Vladimir Prus  <vladimir@codesourcery.com>
+           Joseph Myers  <joseph@codesourcery.com>
 
        * configure.in (--with-pkgversion, --with-bugurl): New options.
        * configure: Regenerate.
index dcd8109..3a3fb43 100644 (file)
@@ -16,11 +16,8 @@ AM_CFLAGS = $(WARN_CFLAGS)
 
 MKDEP = gcc -MM
 
-REPORT_BUGS_TO = "\"@REPORT_BUGS_TO@\""
-
 INCLUDES = -D_GNU_SOURCE -DDEBUG -I../bfd -I$(srcdir)/../include \
        -I$(srcdir)/../bfd @INCINTL@ -I. \
-       -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \
        -DLOCALEDIR="\"$(datadir)/locale\""
 
 bin_PROGRAMS = gprof
index f30539e..8ed6219 100644 (file)
@@ -177,7 +177,6 @@ PACKAGE_VERSION = @PACKAGE_VERSION@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 POSUB = @POSUB@
 RANLIB = @RANLIB@
-REPORT_BUGS_TO = "\"@REPORT_BUGS_TO@\""
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
@@ -240,7 +239,6 @@ AM_CFLAGS = $(WARN_CFLAGS)
 MKDEP = gcc -MM
 INCLUDES = -D_GNU_SOURCE -DDEBUG -I../bfd -I$(srcdir)/../include \
        -I$(srcdir)/../bfd @INCINTL@ -I. \
-       -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \
        -DLOCALEDIR="\"$(datadir)/locale\""
 
 sources = basic_blocks.c call_graph.c cg_arcs.c cg_dfn.c \
@@ -284,15 +282,15 @@ $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__confi
        @for dep in $?; do \
          case '$(am__configure_deps)' in \
            *$$dep*) \
-             echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
-             cd $(srcdir) && $(AUTOMAKE) --foreign  \
+             echo ' cd $(srcdir) && $(AUTOMAKE) --cygnus '; \
+             cd $(srcdir) && $(AUTOMAKE) --cygnus  \
                && exit 0; \
              exit 1;; \
          esac; \
        done; \
-       echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
+       echo ' cd $(top_srcdir) && $(AUTOMAKE) --cygnus  Makefile'; \
        cd $(top_srcdir) && \
-         $(AUTOMAKE) --foreign  Makefile
+         $(AUTOMAKE) --cygnus  Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
        @case '$?' in \
index 7472072..8eda958 100755 (executable)
@@ -309,7 +309,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LN_S RANLIB ac_ct_RANLIB LIBTOOL REPORT_BUGS_TO USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE CPP EGREP WARN_CFLAGS NO_WERROR datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LN_S RANLIB ac_ct_RANLIB LIBTOOL USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE CPP EGREP WARN_CFLAGS NO_WERROR datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -867,7 +867,6 @@ Optional Packages:
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
   --with-gnu-ld           assume the C compiler uses GNU ld default=no
   --with-pic              try to use only PIC/non-PIC objects default=use both
-  --with-bugurl=URL       Direct users to URL to report a bug
 
 Some influential environment variables:
   CC          C compiler command
@@ -3866,7 +3865,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic"
 case $host in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3869 "configure"' > conftest.$ac_ext
+  echo '#line 3868 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4153,24 +4152,6 @@ exec 5>>./config.log
 
 
 
-# The location to which bugs should be reported.
-
-# Check whether --with-bugurl or --without-bugurl was given.
-if test "${with_bugurl+set}" = set; then
-  withval="$with_bugurl"
-  case "$withval" in
-    yes) { { echo "$as_me:$LINENO: error: bug URL not specified" >&5
-echo "$as_me: error: bug URL not specified" >&2;}
-   { (exit 1); exit 1; }; } ;;
-    no)  REPORT_BUGS_TO="" ;;
-    *)   REPORT_BUGS_TO="<URL:$withval>" ;;
-   esac
-else
-  REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>"
-
-fi;
-
-
           ac_config_headers="$ac_config_headers gconfig.h:gconfig.in"
 
 
@@ -6978,7 +6959,6 @@ s,@LN_S@,$LN_S,;t t
 s,@RANLIB@,$RANLIB,;t t
 s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
 s,@LIBTOOL@,$LIBTOOL,;t t
-s,@REPORT_BUGS_TO@,$REPORT_BUGS_TO,;t t
 s,@USE_NLS@,$USE_NLS,;t t
 s,@LIBINTL@,$LIBINTL,;t t
 s,@LIBINTL_DEP@,$LIBINTL_DEP,;t t
index 13d592d..95c2b86 100644 (file)
@@ -13,19 +13,6 @@ AM_INIT_AUTOMAKE(gprof, ${BFD_VERSION})
 
 AM_PROG_LIBTOOL
 
-# The location to which bugs should be reported.
-AC_ARG_WITH(bugurl,
-  AS_HELP_STRING([--with-bugurl=URL],
-                 [Direct users to URL to report a bug]),
-  [case "$withval" in
-    yes) AC_MSG_ERROR([bug URL not specified]) ;;
-    no)  REPORT_BUGS_TO="" ;;
-    *)   REPORT_BUGS_TO="<URL:$withval>" ;;
-   esac],
-   REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>"
-)
-AC_SUBST(REPORT_BUGS_TO)
-
 dnl For simplicity, we use the BFD configuration file for most
 dnl things.  However, we also need our own configuration file for
 dnl the automake PACKAGE and VERSION macros.  We don't name it
index 4931735..116a4a2 100644 (file)
@@ -1,3 +1,22 @@
+2007-03-15  H.J. Lu  <hongjiu.lu@intel.com>
+
+       * Makefile.am (ld_TEXINFOS): Remove ldver.texi.
+       (AM_MAKEINFOFLAGS): Add -I ../../bfd/doc.
+       (TEXI2DVI): Likewise.
+       (REPORT_BUGS_TO): Removed.
+       (INCLUDES): Remove -DREPORT_BUGS_TO.
+       (ldver.texi): Likewise.
+       (ld.1): Don't depend on ldver.texi.
+       (MOSTLYCLEANFILES): Remove ldver.texi.
+       * Makefile.in: Regenerated.
+
+       * configure.in (--with-bugurl): Removed.
+       * configure: Regenerated.
+
+       * lexsup.c: Include bfdver.h.
+
+       * ld.texinfo: Include bfdver.texi instead of ldver.texi.
+
 2007-03-11  Hans-Peter Nilsson  <hp@bitrange.com>
 
        * emultempl/mmixelf.em: Remove incorrect '#line' directive.
index 6acdf74..67026ae 100644 (file)
@@ -91,18 +91,17 @@ CXX_FOR_TARGET = ` \
 
 noinst_PROGRAMS = ld-new
 info_TEXINFOS = ld.texinfo
-ld_TEXINFOS = configdoc.texi ldver.texi
+ld_TEXINFOS = configdoc.texi
 noinst_TEXINFOS = ldint.texinfo
 man_MANS = ld.1
 
-AM_MAKEINFOFLAGS = -I $(srcdir) -I $(BFDDIR)/doc -I $(top_srcdir)/../libiberty
-TEXI2DVI = texi2dvi -I $(srcdir) -I $(BFDDIR)/doc -I $(top_srcdir)/../libiberty
-
-REPORT_BUGS_TO = "\"@REPORT_BUGS_TO@\""
+AM_MAKEINFOFLAGS = -I $(srcdir) -I $(BFDDIR)/doc -I ../bfd/doc \
+                  -I $(top_srcdir)/../libiberty
+TEXI2DVI = texi2dvi -I $(srcdir) -I $(BFDDIR)/doc -I ../bfd/doc \
+                   -I $(top_srcdir)/../libiberty
 
 INCLUDES = -D_GNU_SOURCE -I. -I$(srcdir) -I../bfd -I$(BFDDIR) -I$(INCDIR) \
        @INCINTL@ $(HDEFINES) $(CFLAGS) \
-       -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \
        -DLOCALEDIR="\"$(datadir)/locale\""
 
 BFDLIB = ../bfd/libbfd.la
@@ -1767,18 +1766,10 @@ configdoc.texi: ${DOCVER}-doc.texi
        cp ${srcdir}/${DOCVER}-doc.texi ./configdoc.texi
        chmod u+w ./configdoc.texi
 
-ldver.texi: $(srcdir)/../bfd/configure
-       rm -f $@
-       eval `grep '^ *VERSION=' $(srcdir)/../bfd/configure`; \
-         echo "@set VERSION $$VERSION" > $@
-       if [ -n "$(REPORT_BUGS_TEXI)" ]; then \
-         echo "@set BUGURL $(REPORT_BUGS_TEXI)" >> $@; \
-       fi
-
 # Build the man page from the texinfo file
 # The sed command removes the no-adjust Nroff command so that
 # the man output looks standard.
-ld.1: $(srcdir)/ld.texinfo configdoc.texi ldver.texi
+ld.1: $(srcdir)/ld.texinfo configdoc.texi
        touch $@
        -$(TEXI2POD) $(MANCONF) < $(srcdir)/ld.texinfo > ld.pod
        -($(POD2MAN) ld.pod | \
@@ -1787,7 +1778,7 @@ ld.1: $(srcdir)/ld.texinfo configdoc.texi ldver.texi
                (rm -f $@.T$$$$ && exit 1)
        rm -f ld.pod
 
-MAINTAINERCLEANFILES = ldver.texi configdoc.texi
+MAINTAINERCLEANFILES = configdoc.texi
 
 # We want to reconfigure if configure.host or configure.tgt changes.  We
 # extract version from bfd/configure.in, so we must depend on that also.
@@ -1881,7 +1872,7 @@ EXTRA_DIST = ldgram.c ldgram.h ldlex.c emultempl/spu_ovl.o $(man_MANS)
 diststuff: info $(EXTRA_DIST)
 all: info ld.1
 
-# Both info (ld.info) and ld.1 depend on configdoc.texi and ldver.texi.
+# Both info (ld.info) and ld.1 depend on configdoc.texi.
 # But info isn't a direct target. Make info-recursive to depend on
 # ld.1 to support parallel build.
 info-recursive: ld.1
index cd8c4d1..1c2d4ce 100644 (file)
@@ -205,8 +205,6 @@ PACKAGE_VERSION = @PACKAGE_VERSION@
 PATH_SEPARATOR = @PATH_SEPARATOR@
 POSUB = @POSUB@
 RANLIB = @RANLIB@
-REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
-REPORT_BUGS_TO = "\"@REPORT_BUGS_TO@\""
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRINGIFY = @STRINGIFY@
@@ -329,14 +327,17 @@ CXX_FOR_TARGET = ` \
   fi`
 
 info_TEXINFOS = ld.texinfo
-ld_TEXINFOS = configdoc.texi ldver.texi
+ld_TEXINFOS = configdoc.texi
 noinst_TEXINFOS = ldint.texinfo
 man_MANS = ld.1
-AM_MAKEINFOFLAGS = -I $(srcdir) -I $(BFDDIR)/doc -I $(top_srcdir)/../libiberty
-TEXI2DVI = texi2dvi -I $(srcdir) -I $(BFDDIR)/doc -I $(top_srcdir)/../libiberty
+AM_MAKEINFOFLAGS = -I $(srcdir) -I $(BFDDIR)/doc -I ../bfd/doc \
+                  -I $(top_srcdir)/../libiberty
+
+TEXI2DVI = texi2dvi -I $(srcdir) -I $(BFDDIR)/doc -I ../bfd/doc \
+                   -I $(top_srcdir)/../libiberty
+
 INCLUDES = -D_GNU_SOURCE -I. -I$(srcdir) -I../bfd -I$(BFDDIR) -I$(INCDIR) \
        @INCINTL@ $(HDEFINES) $(CFLAGS) \
-       -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \
        -DLOCALEDIR="\"$(datadir)/locale\""
 
 BFDLIB = ../bfd/libbfd.la
@@ -692,7 +693,7 @@ ld_new_SOURCES = ldgram.y ldlex.l lexsup.c ldlang.c mri.c ldctor.c ldmain.c \
 
 ld_new_DEPENDENCIES = $(EMULATION_OFILES) $(EMUL_EXTRA_OFILES) $(BFDLIB) $(LIBIBERTY) $(LIBINTL_DEP)
 ld_new_LDADD = $(EMULATION_OFILES) $(EMUL_EXTRA_OFILES) $(BFDLIB) $(LIBIBERTY) $(LIBINTL)
-MAINTAINERCLEANFILES = ldver.texi configdoc.texi ld.info
+MAINTAINERCLEANFILES = configdoc.texi ld.info
 
 # We want to reconfigure if configure.host or configure.tgt changes.  We
 # extract version from bfd/configure.in, so we must depend on that also.
@@ -720,15 +721,15 @@ $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__confi
        @for dep in $?; do \
          case '$(am__configure_deps)' in \
            *$$dep*) \
-             echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
-             cd $(srcdir) && $(AUTOMAKE) --foreign  \
+             echo ' cd $(srcdir) && $(AUTOMAKE) --cygnus '; \
+             cd $(srcdir) && $(AUTOMAKE) --cygnus  \
                && exit 0; \
              exit 1;; \
          esac; \
        done; \
-       echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
+       echo ' cd $(top_srcdir) && $(AUTOMAKE) --cygnus  Makefile'; \
        cd $(top_srcdir) && \
-         $(AUTOMAKE) --foreign  Makefile
+         $(AUTOMAKE) --cygnus  Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
        @case '$?' in \
@@ -2568,18 +2569,10 @@ configdoc.texi: ${DOCVER}-doc.texi
        cp ${srcdir}/${DOCVER}-doc.texi ./configdoc.texi
        chmod u+w ./configdoc.texi
 
-ldver.texi: $(srcdir)/../bfd/configure
-       rm -f $@
-       eval `grep '^ *VERSION=' $(srcdir)/../bfd/configure`; \
-         echo "@set VERSION $$VERSION" > $@
-       if [ -n "$(REPORT_BUGS_TEXI)" ]; then \
-         echo "@set BUGURL $(REPORT_BUGS_TEXI)" >> $@; \
-       fi
-
 # Build the man page from the texinfo file
 # The sed command removes the no-adjust Nroff command so that
 # the man output looks standard.
-ld.1: $(srcdir)/ld.texinfo configdoc.texi ldver.texi
+ld.1: $(srcdir)/ld.texinfo configdoc.texi
        touch $@
        -$(TEXI2POD) $(MANCONF) < $(srcdir)/ld.texinfo > ld.pod
        -($(POD2MAN) ld.pod | \
@@ -2665,7 +2658,7 @@ install-data-local: install-info
 diststuff: info $(EXTRA_DIST)
 all: info ld.1
 
-# Both info (ld.info) and ld.1 depend on configdoc.texi and ldver.texi.
+# Both info (ld.info) and ld.1 depend on configdoc.texi.
 # But info isn't a direct target. Make info-recursive to depend on
 # ld.1 to support parallel build.
 info-recursive: ld.1
index cbd4253..8a81d9a 100755 (executable)
@@ -309,7 +309,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LN_S RANLIB ac_ct_RANLIB LIBTOOL use_sysroot TARGET_SYSTEM_ROOT TARGET_SYSTEM_ROOT_DEFINE REPORT_BUGS_TO REPORT_BUGS_TEXI WARN_CFLAGS NO_WERROR USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE YACC LEX LEXLIB LEX_OUTPUT_ROOT MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE HDEFINES HOSTING_CRT0 HOSTING_LIBS NATIVE_LIB_DIRS CPP EGREP STRINGIFY EMUL EMULATION_OFILES EMUL_EXTRA_OFILES LIB_PATH EMULATION_LIBPATH TESTBFDLIB datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LN_S RANLIB ac_ct_RANLIB LIBTOOL use_sysroot TARGET_SYSTEM_ROOT TARGET_SYSTEM_ROOT_DEFINE WARN_CFLAGS NO_WERROR USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE YACC LEX LEXLIB LEX_OUTPUT_ROOT MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE HDEFINES HOSTING_CRT0 HOSTING_LIBS NATIVE_LIB_DIRS CPP EGREP STRINGIFY EMUL EMULATION_OFILES EMUL_EXTRA_OFILES LIB_PATH EMULATION_LIBPATH TESTBFDLIB datarootdir docdir htmldir LIBOBJS LTLIBOBJS'
 ac_subst_files='TDIRS'
 
 # Initialize some variables set by options.
@@ -871,7 +871,6 @@ Optional Packages:
   --with-pic              try to use only PIC/non-PIC objects default=use both
   --with-lib-path=dir1:dir2...  set default LIB_PATH
   --with-sysroot=DIR Search for usr/lib et al within DIR.
-  --with-bugurl=URL       Direct users to URL to report a bug
 
 Some influential environment variables:
   CC          C compiler command
@@ -3869,7 +3868,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic"
 case $host in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3872 "configure"' > conftest.$ac_ext
+  echo '#line 3871 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4227,30 +4226,6 @@ fi;
 
 
 
-# The location to which bugs should be reported.
-
-# Check whether --with-bugurl or --without-bugurl was given.
-if test "${with_bugurl+set}" = set; then
-  withval="$with_bugurl"
-  case "$withval" in
-    yes) { { echo "$as_me:$LINENO: error: bug URL not specified" >&5
-echo "$as_me: error: bug URL not specified" >&2;}
-   { (exit 1); exit 1; }; } ;;
-    no)  REPORT_BUGS_TO="";
-        REPORT_BUGS_TEXI=""
-        ;;
-    *)   REPORT_BUGS_TO="<URL:$withval>"
-        REPORT_BUGS_TEXI="@uref{`echo $withval | sed 's/@/@@/g'`}"
-        ;;
-   esac
-else
-  REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>"
-   REPORT_BUGS_TEXI="@uref{http://www.sourceware.org/bugzilla/}"
-
-fi;
-
-
-
 
 GCC_WARN_CFLAGS="-W -Wall -Wstrict-prototypes -Wmissing-prototypes"
 
@@ -8708,8 +8683,6 @@ s,@LIBTOOL@,$LIBTOOL,;t t
 s,@use_sysroot@,$use_sysroot,;t t
 s,@TARGET_SYSTEM_ROOT@,$TARGET_SYSTEM_ROOT,;t t
 s,@TARGET_SYSTEM_ROOT_DEFINE@,$TARGET_SYSTEM_ROOT_DEFINE,;t t
-s,@REPORT_BUGS_TO@,$REPORT_BUGS_TO,;t t
-s,@REPORT_BUGS_TEXI@,$REPORT_BUGS_TEXI,;t t
 s,@WARN_CFLAGS@,$WARN_CFLAGS,;t t
 s,@NO_WERROR@,$NO_WERROR,;t t
 s,@USE_NLS@,$USE_NLS,;t t
index edb75e9..d2dd6f7 100644 (file)
@@ -66,25 +66,6 @@ AC_SUBST(use_sysroot)
 AC_SUBST(TARGET_SYSTEM_ROOT)
 AC_SUBST(TARGET_SYSTEM_ROOT_DEFINE)
 
-# The location to which bugs should be reported.
-AC_ARG_WITH(bugurl,
-  AS_HELP_STRING([--with-bugurl=URL],
-                 [Direct users to URL to report a bug]),
-  [case "$withval" in
-    yes) AC_MSG_ERROR([bug URL not specified]) ;;
-    no)  REPORT_BUGS_TO="";
-        REPORT_BUGS_TEXI=""
-        ;;
-    *)   REPORT_BUGS_TO="<URL:$withval>"
-        REPORT_BUGS_TEXI="@uref{`echo $withval | sed 's/@/@@/g'`}"
-        ;;
-   esac],
-   REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>"
-   REPORT_BUGS_TEXI="@uref{http://www.sourceware.org/bugzilla/}"
-)
-AC_SUBST(REPORT_BUGS_TO)
-AC_SUBST(REPORT_BUGS_TEXI)
-
 AM_BINUTILS_WARNINGS
 
 AM_CONFIG_HEADER(config.h:config.in)
index 1c48268..eb8d007 100644 (file)
@@ -6,7 +6,7 @@
 @c man begin INCLUDE
 @include configdoc.texi
 @c (configdoc.texi is generated by the Makefile)
-@include ldver.texi
+@include bfdver.texi
 @c man end
 
 @c @smallbook
index 025411e..795ecc8 100644 (file)
@@ -22,6 +22,7 @@
 
 #include "config.h"
 #include "bfd.h"
+#include "bfdver.h"
 #include "sysdep.h"
 #include "libiberty.h"
 #include <stdio.h>